package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TGasConfig;
import com.chinaitop.depot.intelligent.grainsituation.model.TGasConfigExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TGasConfigMapper {
    int countByExample(TGasConfigExample example);

    int deleteByExample(TGasConfigExample example);

    int deleteByPrimaryKey(String id);

    int insert(TGasConfig record);

    int insertSelective(TGasConfig record);

    List<TGasConfig> selectByExample(TGasConfigExample example);

    TGasConfig selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TGasConfig record, @Param("example") TGasConfigExample example);

    int updateByExample(@Param("record") TGasConfig record, @Param("example") TGasConfigExample example);

    int updateByPrimaryKeySelective(TGasConfig record);

    int updateByPrimaryKey(TGasConfig record);
}